Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1808340

Summary: rhythmbox-alternative-toolbar requires Python 2 to build
Product: [Fedora] Fedora Reporter: Petr Viktorin (pviktori) <pviktori>
Component: rhythmbox-alternative-toolbarAssignee: Tonet Jallo <tonet666p>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: crvisqr, tonet666p
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 0.18.4-4 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-14 07:44:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1803205    

Description Petr Viktorin (pviktori) 2020-02-28 09:46:41 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like rhythmbox-alternative-toolbar, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

Switching to Python 3 seemed easy to me (though I don't necessarily
know much about rhythmbox-alternative-toolbar). So I opened a pull request: https://src.fedoraproject.org/rpms/rhythmbox-alternative-toolbar/pull-request/2

Could you merge it?
If not, if it's possible that the Python 2 build dependency won't get
removed in Fedora 33, please let us know; the package will need
a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Ben Cotton 2020-08-11 13:11:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 crvi 2020-09-05 17:34:22 UTC
Rhythmbox dropped python2 plugin support long ago. So, it is safe to remove python2 stuff.